commit:     7e522f4c82eeed079aad0eb47702f8ec7619dbe5
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  9 20:06:09 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Apr  9 21:00:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e522f4c

sci-misc/cdfplayer: New application, fetch-restricted

 sci-misc/cdfplayer/Manifest                |  1 +
 sci-misc/cdfplayer/cdfplayer-10.4.0.ebuild | 81 ++++++++++++++++++++++++++++++
 sci-misc/cdfplayer/metadata.xml            |  8 +++
 3 files changed, 90 insertions(+)

diff --git a/sci-misc/cdfplayer/Manifest b/sci-misc/cdfplayer/Manifest
new file mode 100644
index 0000000..a8c35fb
--- /dev/null
+++ b/sci-misc/cdfplayer/Manifest
@@ -0,0 +1 @@
+DIST CDFPlayer_10.4.0_LINUX.sh 1315941152 SHA256 
4c202541762839c766d6f484377e3413de9dd7c70f47484da615572c8e44f4ed SHA512 
13205dad6d3a57937b55f41d895e6eef5c7ebf1f416622226cbe97a7de4a39c8d1b5c7424194c2aa4bca9020b52f52ef311af118d810c6065a1275e58d9580a1
 WHIRLPOOL 
36236338c6ec922a6294da34e5379ba5ecf087b307a484abd79c516804d1db6f859b33a1535a9dce6f1980a51972ec1ceff3b39a6270b9d9797beedabc03a0f3

diff --git a/sci-misc/cdfplayer/cdfplayer-10.4.0.ebuild 
b/sci-misc/cdfplayer/cdfplayer-10.4.0.ebuild
new file mode 100644
index 0000000..49d8e1a
--- /dev/null
+++ b/sci-misc/cdfplayer/cdfplayer-10.4.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit versionator
+
+DESCRIPTION="Wolfram Player for the interactive Computable Document Format 
(CDF)"
+SRC_URI="CDFPlayer_10.4.0_LINUX.sh"
+HOMEPAGE="http://www.wolfram.com/cdf-player/";
+
+LICENSE="WolframCDFPlayer"
+KEYWORDS="-* ~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+RESTRICT="strip mirror bindist fetch"
+
+DEPEND=""
+
+# this list comes from lsof output
+# probably there are still some libraries missing
+RDEPEND="
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libXcursor
+       x11-libs/libXdmcp
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXmu
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXt
+       media-libs/alsa-lib
+       dev-libs/expat
+       media-libs/fontconfig
+       dev-libs/icu
+       x11-libs/libxcb
+       dev-libs/libxml2
+"
+
+# we need this a few times
+MPV=$(get_version_component_range 1-2)
+
+# we might as well list all files in all QA variables...
+QA_PREBUILT="opt/*"
+
+S=${WORKDIR}
+
+src_unpack() {
+       /bin/sh "${DISTDIR}/${A}" --nox11 --confirm --keep -- -auto 
"-targetdir=${S}/opt/Wolfram/CDFPlayer/${MPV}" "-execdir=${S}/opt/bin" || die
+}
+
+src_install() {
+       # move all over
+       mv "${S}/opt" "${D}/opt" || die
+
+       # the autogenerated symlinks point into sandbox, redo
+       rm "${D}/opt/bin/"* || die
+       dosym /opt/Wolfram/CDFPlayer/${MPV}/Executables/wolframcdfplayer 
opt/bin/wolframcdfplayer
+       dosym /opt/Wolfram/CDFPlayer/${MPV}/Executables/WolframCDFPlayer 
opt/bin/WolframCDFPlayer
+
+       # fix some embedded paths and install desktop files
+       insinto /usr/share/applications
+       for filename in $(find "${D}" -name "wolfram-cdf10.desktop") ; do
+               echo Fixing "${filename}"
+               sed -e "s:${S}::g" -e 's:^\t\t::g' -i "${filename}"
+               echo 
"Categories=Physics;Science;Engineering;2DGraphics;Graphics;" >> "${filename}"
+               doins "${filename}"
+       done
+}
+
+pkg_nofetch() {
+       einfo "Sadly Wolfram provides no permanent link to the player files."
+       einfo "Please download the Wolfram CFD Player installation file 
${SRC_URI} from"
+       einfo "${HOMEPAGE} and place it in ${DISTDIR}"
+}

diff --git a/sci-misc/cdfplayer/metadata.xml b/sci-misc/cdfplayer/metadata.xml
new file mode 100644
index 0000000..80a71f5
--- /dev/null
+++ b/sci-misc/cdfplayer/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Andreas K. Huettel</name>
+  </maintainer>
+</pkgmetadata>

Reply via email to